From 9679595656c8c1c833c2d025ac45c850f60a32af Mon Sep 17 00:00:00 2001
From: Robert Nelson <robertcnelson@gmail.com>
Date: Thu, 29 May 2014 10:38:15 -0500
Subject: [PATCH] chroot: add default group systemd-journal, this will be used
 by journalctl with jessie systemd backport

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
---
 scripts/chroot.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index 4fa57206b..2150b8894 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -548,10 +548,11 @@ cat > ${DIR}/chroot_script.sh <<-__EOF__
 
 		cat /etc/group | grep ^i2c || groupadd -r i2c || true
 		cat /etc/group | grep ^netdev || groupadd -r netdev || true
+		cat /etc/group | grep ^systemd-journal || groupadd -r systemd-journal || true
 
 		echo "KERNEL==\"spidev*\", GROUP=\"spi\", MODE=\"0660\"" > /etc/udev/rules.d/50-spi.rules
 
-		default_groups="admin,adm,dialout,i2c,spi,cdrom,floppy,audio,dip,video,netdev,plugdev,users"
+		default_groups="admin,adm,dialout,i2c,spi,cdrom,floppy,audio,dip,video,netdev,plugdev,users,systemd-journal"
 
 		pkg="sudo"
 		dpkg_check
-- 
GitLab